﻿vIsV1 := (InStr(A_AhkVersion, "1.") == 1)
MyGui := Gui()
MyEdit := MyGui.Add("Edit")
; Store the tooltip text in a custom property:
MyEdit.ToolTip := "This is a tooltip for the control whose name is MyEdit."
MyDDL := MyGui.Add("DropDownList",, ["Red","Green","Blue"])
MyDDL.ToolTip := "Choose a color from the drop-down list."
MyGui.Add("Checkbox",, "This control has no tooltip.")
MyGui.Show()
OnMessage(0x0200, vIsV1?"On_WM_MOUSEMOVE":On_WM_MOUSEMOVE)

On_WM_MOUSEMOVE(wParam, lParam, msg, Hwnd)
{
    global
    static vIsV1 := (InStr(A_AhkVersion, "1.") == 1)
    static PrevHwnd := 0
    if (Hwnd != PrevHwnd)
    {
        Text := "", ToolTip() ; Turn off any previous tooltip.
        CurrControl := GuiCtrlFromHwnd(Hwnd)
        if CurrControl
        {
            ;if !CurrControl.HasProp("ToolTip")
            if !HasProp(CurrControl, "ToolTip")
                return ; No tooltip for this control.
            Text := CurrControl.ToolTip
            oFunc := vIsV1?Func("ToolTip"):ToolTip
            ;SetTimer () => ToolTip(Text), -1000
            ;SetTimer () => ToolTip(), -4000 ; Remove the tooltip.
            SetTimer(oFunc.Bind(Text), -1000)
            SetTimer(oFunc, -4000) ; Remove the tooltip.
        }
        PrevHwnd := Hwnd
    }
}
